From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 15 May 2000 09:29:00 -0700 (PDT)

Greg, FYI - Jeff asked me to forward this to you for your review.  SRS
---------------------- Forwarded by Sherri Sera/Corp/Enron on 05/15/2000 
04:25 PM ---------------------------

"Joseph A. Cherian" <[email-masked]> on 05/09/2000 08:10:19 AM
To: "Jeffrey K. Skilling" <[email-masked]>
cc: Vince J Kaminski <[email-masked]>, "Robert A. Jarrow" 
<[email-masked]>, "Robert C. Merton" <[email-masked]> 

Subject: 

Mr. Jeffrey K. Skilling
President and C.O.O.,
Enron Corp.

Dear Jeff,

This email is from Robert Jarrow (Cornell) and myself (Joe Cherian). I hope
you recall meeting/lunching with Bob Jarrow & me when you keynoted at my
1999 Math Finance Day conference here at Boston University. I wanted to
introduce you to SKG Inc., a startup that is focused on providing an
innovative service to the electronic trading community. Messers Kuppuswamy
Seshadhri, Sriketan Mahanti, and Gaurav Mallik are the principal founders
of SKG, Inc. Bob Jarrow and I represent the company's Scientific Advisory
Board. Nobel laureate Robert Merton, who also sat on our table during your
keynote address, very kindly serves as an ad hoc Senior Advisor to SKG and
has been an invaluable resource to SKG, including putting us in touch with
JP Morgan. Coincidentally, the C.O.O. of JP Morgan Capital Corp. Ed
Colloton, in an April 7 meeting told us he would introduce us to the C.F.O.
of Enron Online, whom he knows and at which he felt SKG would have huge
value-adding opportunities. However, given Ed's busy travel schedule, I
don't believe he has been able to do that yet. Hence this joint decision by
Bob Jarrow and myself to send you this email.

SKG's solution is to provide dynamic pricing and value maximization in
electronic trading of securities/commodities on ECNs and ATSs (Alternative
Trading Systems). It achieves this through a process of "strategic
negotiation" using automated agents (intelligent software manifestations).
Our system should not be viewed as an ECN, but rather as an enhancement to
any extant trading system, be it an ECN, ATS, CLOB, NASDAQ, etc. Our
initial system design has been conducted for financial instruments trading,
e.g. bonds/equities, but our strategy is as much applicable to energy/power
instruments trading, high speed communications bandwidth trading, and other
web-based commodities trading, which we believe is of interest to Enron
Online.

SKG is superior to existing solutions in the following way:
1)  It considers multiple attributes, e.g., price, time, volatility,
bandwidth. (In high speed communication bandwidth scenarios, for example,
the dimensions could be price, bandwidth size, time for which bandwidth
available, continguity of the allocation, and such.)
2) It involves dynamic matching as opposed to "static" matching.
3) It is multi-lateral.
4)  It adapts itself dynamically to changing market conditions.
5) It allows traders to make important trade-offs, as they do in
traditional markets.

Currently, SKG is involved in discussions with the Heads of Trading at
Fidelity, Putnam Investments, Lehman Bros., KPMG, Meridien Research,
Salomon Smith Barney, JP Morgan, State Street, Banc of America, McKinsey,
Citizens Power, and a host of other folks.

We think we have a value-adding service to provide to Enron Online or any
other Enron subsidiary that the SKG offering matches and that you deem fit.
SKG's founders and I will be very happy to provide you or your
representative(s) with more details, including a demo of the prototype, in
a meeting. We are therefore hopeful that you will be able to arrange
something appropriate.

Thanks very much, Jeff! We look forward to hearing from you.

With warm regards,
Joseph Cherian and Robert Jarrow

Cc: Professor Robert C. Merton

Joseph A. Cherian
Associate Professor of Finance
Boston University School of Management
595 Commonwealth Avenue, Room 522H
Boston, MA 02215
TEL: 617-353-2679 (O)
  617-353-6667 (Fax)